#!/bin/bash

# Colors
RED='\033[0;31m'
LRED="\033[1;31m"
BLUE="\033[0;34m"
LBLUE="\033[1;34m"
GREEN="\033[0;32m"
LGREEN="\033[1;32m"
YELLOW="\033[1;33m"
CYAN="\033[0;36m"
LCYAN="\033[1;36m"
PURPLE="\033[0;35m"
LPURPLE="\033[1;35m"
BWHITE="\e[1m"
NC='\033[0m' # No Color

# General Vars
#CURRENT_DATE=$(date +%Y%m%d)
#CURRENT_DATE=$(date -d 2013-07-18 +%s)
#=$(date -d 2014-08-19 +%s)

if [[ $EUID -ne 0 ]]; then
  printf "${LRED}This script must be run as root${NC}\n" 1>&2
   exit 1
fi

#if [ $todate -ge $cond ];
#then
#    break
#fi  


# Check dependencies
if [ ! -f /usr/bin/wget ];then
    echo -e "\n${LRED}Missing Dependency: wget${NC}\n\n"
    echo -e "${BWHITE}Ubuntu/Debian: sudo apt install wget${NC}\n"
    echo -e "${BWHITE}Fedora: sudo dnf install wget${NC}\n"
    echo -e "${BWHITE}OpenSuse: sudo zypper install wget${NC}\n"
    echo -e "${BWHITE}Solus: sudo eopkg it wget${NC}\n"
    echo -e "${BWHITE}Gentoo: emerge -a wget${NC}\n"
    echo -e "${BWHITE}Sabayon: sudo equo install wget${NC}\n"
    echo -e "${BWHITE}Void Linux: sudo xbps-install wget${NC}\n"
    exit 0;
fi

wget -qO- https://raw.githubusercontent.com/PapirusDevelopmentTeam/papirus-icon-theme/master/install.sh | sh

